
create table advogado (
  numOAB varchar(8) not null
 ,nome varchar(100) not null
 ,constraint pk_numOAB primary key (numOAB)
)--OK

create table fichaPsico (
  numRef int not null
 ,escolaridade varchar(50) not null
 ,estadoCivil varchar(20) not null
 ,Obs_Medicas varchar(100) not null
 ,Relacs varchar(100) not null
 ,constraint pk_fichaPsico primary key (numRef)
)--OK

create table telefonesAdvogado (
  telefone varchar(20) not null
 ,regOABAdv varchar(8) not null
 ,constraint pk_telefonesAdvogado primary key (telefone)
 ,constraint fk_telefonesAdvogado_1 foreign key (regOABAdv) references advogado(numOAB)
) --OK

create table caracFisicas (
  numRef int not null
 ,peso float not null
 ,altura float(2) not null
 ,cor varchar(10) not null
 ,tatuagem varchar(50) not null default 'nenhuma'
 ,olhos varchar(50) not null
 ,cabelos varchar(50) not null
 ,ultOcupacao varchar(50) not null
 ,grauPericulosidade int not null
 ,sinalCarac varchar(50) not null default 'nenhum'
 ,deficiencia varchar(50) not null default 'nenhuma'
 ,constraint pk_numRef primary key (numRef)
)--OK



create table ativParalelas (
  atividade varchar(50) not null
 ,numRefFicha int not null
 ,constraint pk_aitvParalelas primary key (atividade)
 ,constraint fk_ativParalelas foreign key (numRefFicha) references fichaPsico(numRef)
) --OK

--drop table setor

create table setor (
  numSetor int not null
 ,nome varchar(50)not null
 ,localiz varchar(50)
 ,constraint pk_setor primary key (numSetor)
) --OK

create table funcionario (
RG varchar(7) not null,
nome varchar(50) not null,
sexo char(1) not null,
funcao varchar(50) not null,
RGgerente varchar(7) not null,
cargaHoraria varchar(10) not null,
setor int not null,
controlaSetor char(1) not null,
constraint pk_funcionario primary key (rg),
constraint fk_funcionario_1 foreign key (RGgerente) references funcionario(RG),
constraint fk_funcionario_2 foreign key (setor) references setor(numSetor)
) --OK

create table cela (
numcela int not null,
localiz varchar(50) not null,
capacidade int not null,
eh_especial char not null,
rgResponsavel varchar(7) not null,
constraint pk_cela primary key(numcela),
constraint fk_cela foreign key(rgResponsavel) references funcionario(rg)
)  --OK

create table detento (
RG varchar(7) not null,
nome varchar(50) not null,
vulgo varchar(50) not null,
sexo char(1) not null default 'nenhum',
dat_nasc datetime not null,
naturalidade varchar(100) not null,
nome_pai varchar(50) not null default 'desconhecido',
nome_mae varchar(50) not null default 'desconhecida',
dat_entrada datetime not null,
dat_saida datetime,
responsavel varchar(50) not null,
condenacao varchar(100) not null,
num_ref_carac int not null,
num_ref_psico int not null,
numcela int not null,
constraint pk_detento primary key (rg),
constraint fk_detento_1 foreign key (num_ref_carac) references caracfisicas(numRef),
constraint fk_detento_2 foreign key (num_ref_psico) references fichapsico(numRef),
constraint fk_detento_3 foreign key (numcela) references cela(numcela)
) --OK


create table ehDefendidoPor (
RGdetento varchar(7) not null,
OABadv varchar(8) not null,
constraint fk_ehDefendidoPor_1 foreign key (RGdetento) references detento(RG),
constraint fk_ehdefendidoPor_2 foreign key (OABadv) references advogado(numOAB)
) --OK


create table visitantes (
  RGVisitante varchar(7) not null
 ,nome varchar(50) not null
 ,outros varchar(100) not null default 'nada'
 ,constraint pk_visitantes primary key (RGVisitante)
) --OK

create table visitas (
rgdetento varchar(7) not null,
rgvisita varchar(7) not null,
dat_chegada datetime not null,
presentes varchar(100),
vinculo varchar(50) default 'sem vinculos',
constraint fk_visitas_1 foreign key (rgdetento)references   detento(rg),
constraint fk_visitas_2 foreign key (rgvisita) references  visitantes(rgvisitante)
) --OK


create table revista(
  RGvisitante varchar(7) not null
 ,RGfunc varchar(7) not null
 ,ocorrencia varchar(100) default 'sem ocorrencias'
 ,horaVisita varchar(5)
 ,constraint fk_revista_1 foreign key (RGvisitante) references visitantes(rgVisitante)
 ,constraint fk_revista_2 foreign key (RGfunc) references funcionario(rg)
) --OK

--*********************INSERTS********************************

--******************advogado**********************************

insert bd1e1.advogado  values ('PE008844','Caius Vinicus Raposo da camara Silva')
insert bd1e1.advogado values ('PE112233','Thiago Litwak Rodrigues de Souza')
insert bd1e1.advogado values ('RJ009988','Francisco de Alencar Bush')
insert bd1e1.advogado values ('RJ778866','Carlos Eduardo Crispim de Oliveira')
insert bd1e1.advogado values ('RJ556644','Jos Mrio de Souza Filho')
insert bd1e1.advogado values ('RJ115566','Hlio Souza Barbosa')
insert bd1e1.advogado values ('RJ774532','Pedro lvares Silva')
INSERT bd1e1.advogado (numOAB, nome) VALUES ('PB756422', 'Carolina Augusta Nakazawa de Hollanda ')

--select * from advogado

--**************ficha psico***********************************


insert bd1e1.fichaPsico  values (1,'superior','solteiro','alergia a picada de insetos','nada consta')
insert bd1e1.fichaPsico  values (2,'superior','solteiro','alergia a leite de vaca','nada consta')
insert into fichapsico values (3,'semi-analfabeto', 'solteiro', 'sofre de asma', 'teve atritos com o "neguinho do lixo"') 
insert into fichaPsico values (4, 'ginasial incompleto', 'solteiro', 'nenhuma', 'nenhum')
INSERT INTO fichapsico (numRef, escolaridade, estadoCivil, Obs_Medicas, Relacs) VALUES (5, 'analfabeto', 'casado', 'ex-fumante', 'brigas com os seguranas da cela em 05/08/2002')
INSERT INTO fichapsico (numRef, escolaridade, estadoCivil, Obs_Medicas, Relacs) VALUES (6, '2 grau incompleto', 'solteiro', 'possui problemas circulatrios', 'nenhum')
INSERT INTO fichapsico (numRef, escolaridade, estadoCivil, Obs_Medicas, Relacs) VALUES (7, 'superior incompleto', 'solteira', 'ex-alclatra', 'envolvimento ilcito com  uma ex-carcereira')
INSERT INTO fichapsico (numRef, escolaridade, estadoCivil, Obs_Medicas, Relacs) VALUES (8, 'primario', 'casada', 'nenhuma', 'nenhum')

--select * from fichapsico

--*************telefones advogado****************************

insert bd1e1.telefonesAdvogado values ('34365599','PE112233')
insert bd1e1.telefonesAdvogado values ('34364799','PE112233')
insert bd1e1.telefonesAdvogado values ('34364730','PE112233')
insert bd1e1.telefonesAdvogado values ('33412104','PE008844')
insert bd1e1.telefonesAdvogado values ('34634730','PE008844')
insert bd1e1.telefonesAdvogado values ('91629243','PE008844')
insert bd1e1.telefonesAdvogado values ('33412106','PB756422')

--select * from telefonesadvogado

--************caracfisicas****************************

insert caracFisicas (numRef,peso, altura, cor, olhos, cabelos, ultOcupacao,grauPericulosidade) values (1,88.00, 1.70, 'branco','pretos', 'castanhos', 'padeiro', 1)
insert caracFisicas (numRef,peso, altura, cor, olhos, cabelos, ultOcupacao,grauPericulosidade) values (2,98, 2.10, 'negra','pretos', 'castanhos', 'ambulante', 3)
insert caracFisicas (numRef,peso, altura, cor,tatuagem, olhos, cabelos, ultOcupacao,grauPericulosidade) values (3,100, 1.96, 'branca','drago','azul', 'ruivos', 'seguranca', 2)
insert caracFisicas (numRef,peso, altura, cor, olhos, cabelos, ultOcupacao,grauPericulosidade) values (4,81.00, 1.80, 'branca','verde','c. claros', 'banqueiro', 1)
insert into caracfisicas values (5, 67.0, 1.65, 'negra', 'caveira', 'pretos','pretos','ajudante de pedreiro', 2,'cicatriz na testa','nenhuma') 
INSERT INTO caracfisicas (numRef, peso, altura, cor, tatuagem, olhos, cabelos, ultOcupacao, grauPericulosidade, sinalCarac, deficiencia) VALUES (6, 58, 1.69, 'mulato', 'nenhuma', 'c. claros', 'c.escuros', 'desempregado', 2, 'nenhum', 'nenhuma')
INSERT INTO caracfisicas (numRef, peso, altura, cor, tatuagem, olhos, cabelos, ultOcupacao, grauPericulosidade, sinalCarac, deficiencia) VALUES (7, 77.56, 1.75, 'negra', 'nenhuma', 'pretos', 'pretos', 'desempregado', 1, 'nenhum', 'no possui o polegar esquerdo')
INSERT INTO caracfisicas (numRef, peso, altura, cor, tatuagem, olhos, cabelos, ultOcupacao, grauPericulosidade, sinalCarac, deficiencia) VALUES (8, 55, 1.6, 'branca', 'nenhuma', 'pretos', 'pretos', 'estudante', 3, 'nenhum', 'vesga')
INSERT INTO caracfisicas (numRef, peso, altura, cor, tatuagem, olhos, cabelos, ultOcupacao, grauPericulosidade, sinalCarac, deficiencia) VALUES (9, 63.4, 1.79, 'mulata', 'borboleta', 'verdes', 'c. escuros', 'desempregada', 2, 'cicatriz no joelho', 'nenhuma')

--select * from caracfisicas


--*************ativ paralelas*********************


insert ativParalelas values ('fabricao de pes para abastecimento do presdio',1)
insert ativParalelas values ('marcenaria',4)
INSERT INTO ativparalelas (atividade, numRefFicha) VALUES ('confeco de bolas de futebol', 7)

--select * from ativparalelas


--***********setor*******************

insert setor values (1,'enfermaria','pavilho 9')
insert setor values (2,'cozinha','pavilho 7')
insert setor values (3,'carceragem','ala oeste')
insert setor values (4,'administrao','trreo 01')
insert setor values (5,'ptio','pavilho 2')
insert into setor values (6,'depto. segurana','ala norte')

select * from setor

--********funcionario*****************


insert into funcionario values ('5657878','Anbal Bonno','m','diretor','5657878','8 horas',4,'s')
insert into funcionario values ('5566778','Oflia Anunciato','f','chefe da cozinha','5657878','8 horas',2,'s')
insert into funcionario values ('1122334','Joo Klber Santos','m','cozinheiro','5566778','8 horas',2,'n')
insert into funcionario values ('1123456','Francesco Russo','m','chefe de carceragem','5657878','4 horas',3,'s')
insert into funcionario values ('1123409','Augusto Liberato','m','carcereiro','1123456','4 horas',3,'n')
insert into funcionario values ('1123458','Elisa de Almeida Frana','f','chefe de segurana','5657878','6 horas',6,'s')
insert into funcionario values ('1123455','Paulo Roberto Mattar Malafaia','m','segurana','1123458','6 horas',6,'n')
insert into funcionario values ('1123450','Jussara Freire','f','enfermeira chefe','5657878','4 horas',1,'s')
insert into funcionario values ('1123431','Katia  Fonseca','f','aux. enfermagem','1123450','6 horas',1,'n')
insert into funcionario values ('1123466','Janilson Britto de Carvalho','m','segurana','1123458','6 horas',6,'n')
INSERT INTO funcionario (RG, nome, sexo, funcao, RGgerente, cargaHoraria, setor, controlaSetor) VALUES ('5599417', 'Francilene Leah Durval de Andrade', 'f', 'carcereira', '5657878', '4horas', 3, 'n')

--select * from funcionario

--celas

insert into cela values(1,'pavilho 9',4,'s','1123409')
insert into cela values(2,'ala oeste',25,'n','1123409')
INSERT INTO cela (numcela, localiz, capacidade, eh_especial, rgResponsavel) VALUES (3, 'pavilho 2', 25, 'n', '1123409')
INSERT INTO cela (numcela, localiz, capacidade, eh_especial, rgResponsavel) VALUES (4, 'alaoeste', 25, 'n', '5599417')
INSERT INTO cela (numcela, localiz, capacidade, eh_especial, rgResponsavel) VALUES (5, 'ala norte', 30, 'n', '5599417')

--select * from cela

--**********detento************************
select * from detento
select * from cela
select * from caracfisicas
select * from fichapsico
delete detento where rg='6026923'
insert intodetento values ('6026932','Fernando da Costa','Fernandinho Beira-Mar','m','01/01/1963','Rio de Janeiro','Antonio da Costa','Maria Carla da Costa','06/05/2002','04/03/2003','Juiz Ciro Darlan', 'Narcotrfico',1,4,2)
insert into detento values ('6026923','Jos da Silva Carvalho','Neguinho do lixo','m','12/09/1956','Recife','Antonio de carvalho','Clia da Silva Carvalho','06/04/2002','09/01/2003','Juiz Nilton Salgado', 'Furto',2,5,2)
insert into detento values ('2211009','Elias da Silva Barbosa','Elias Doido','m', '02/05/1975', 'Irec', 'Manoel Valencia Barbosa', 'Euraci Silva Parbosa','09/07/1999','08/08/2008', 'Des. Honor Deitel', 'sequestro e trfico',6,3,2)   
INSERT INTO detento (RG, nome, vulgo, sexo, dat_nasc, naturalidade, nome_pai, nome_mae, dat_entrada, dat_saida, responsavel, condenacao, num_ref_carac, num_ref_psico, numcela) VALUES ('7756332', 'Adilson Correia e Castro da Silva', 'dil ', 'm', '03/03/1963', 'Paulista', 'desconhecido', 'Jucilene Maria Correia e Castro da Silva', '12/05/1999', '12/05/2005', 'Juiz Paulo C. Cunha', 'crime passional', 3, 5, 1)

INSERT INTO detento (RG, nome, vulgo, sexo, dat_nasc, naturalidade, nome_pai, nome_mae, dat_entrada, dat_saida, responsavel, condenacao, num_ref_carac, num_ref_psico, numcela) VALUES ('5850614', 'Alfredo Domingos da Cunha Neto', 'netinho', 'm', '1942-04-11', 'Afrnio', 'Alfredo Domingos da Cunha Filho', 'Marinalva Freire de souza', '1997-08-09   :  :  ', '2003-08-09   :  :  ', 'Juiz Nilton Salgado', 'pedofilia', 6, 6, 3)
INSERT INTO detento (RG, nome, vulgo, sexo, dat_nasc, naturalidade, nome_pai, nome_mae, dat_entrada, dat_saida, responsavel, condenacao, num_ref_carac, num_ref_psico, numcela) VALUES ('5987453', 'Benedito Joo de Albuquerque Souza', 'nenhum', 'm', '1972-09-03', 'J. dos Guararapes', 'Sebastio Jos Pereira de Souza', 'Marta de Albuquerque Souza', '1996-04-11   :  :  ', NULL, 'Juiz Nilton Salgado', 'Furto', 7, 7, 4)
INSERT INTO detento (RG, nome, vulgo, sexo, dat_nasc, naturalidade, nome_pai, nome_mae, dat_entrada, dat_saida, responsavel, condenacao, num_ref_carac, num_ref_psico, numcela) VALUES ('4589210', 'Cintia pereira Barbosa ', '', 'n', '0000-00-00 00:00:00', '', 'desconhecido', 'desconhecida', '0000-00-00', NULL, '', '', 0, 0, 0)
UPDATE detento SET nome= 'Cintia Pereira Barbosa Batista ', vulgo= 'Tininha', sexo= 'f', dat_nasc= '1980-06-06', naturalidade= 'Caruaru', nome_mae= 'Anette  Pereira Barbosa Batista ', dat_entrada= '2001-12-12', dat_saida= '2010-12-12', responsavel= 'Juiz Paulo C. Cunha' WHERE RG='4589210'
UPDATE detento SET condenacao= 'estelionato', num_ref_carac= 8, num_ref_psico= 8 WHERE RG='4589210'
UPDATE detento SET numcela= 5 WHERE RG='4589210'   
INSERT INTO detento (RG, nome, vulgo, sexo, dat_nasc, naturalidade, nome_pai, nome_mae, dat_entrada, dat_saida, responsavel, condenacao, num_ref_carac, num_ref_psico, numcela) VALUES ('7548269', 'Andra Clia Ramos Cavalcanti ', 'Deinha', 'f', '1969-05-02', 'Caruaru', 'Jos Cavalcanti', 'Clia Ramos Cavalcanti', '2000-01-03', '2004-05-06', 'Des. Honor Deitel', 'abuso de menores', 9, 9, 5)
insert into detento values ('1111111','Salvatore Cacciola','Cacciola','m','12/13/2000','Rio de Janeiro','Guiuseppe Cacciola','Andrezza Cacciola',10/17/2001,02/02/2010,'Des. Joaquim Santos','Peculato',2,3,1)


insert into detento values ('6026932','Fernando da Costa','Fernandinho Beira-Mar','m','01/01/1963','Rio de Janeiro','Antonio da Costa','Maria Carla da Costa','06/05/2002','04/03/2003','Juiz Ciro Darlan', 'Narcotrfico',1,4,2)
insert into detento values ('6026923','Jos da Silva Carvalho','Neguinho do lixo','m','12/09/1956','Recife','Antonio de carvalho','Clia da Silva Carvalho','06/04/2002','09/01/2003','Juiz Nilton Salgado', 'Furto',2,5,2)
insert into detento values ('2211009','Elias da Silva Barbosa','Elias Doido','m', '02/05/1975', 'Irec', 'Manoel Valencia Barbosa', 'Euraci Silva Parbosa','09/07/1999','08/08/2008', 'Des. Honor Deitel', 'sequestro e trfico',6,3,2)   
INSERT INTO detento (RG, nome, vulgo, sexo, dat_nasc, naturalidade, nome_pai, nome_mae, dat_entrada, dat_saida, responsavel, condenacao, num_ref_carac, num_ref_psico, numcela) VALUES ('7756332', 'Adilson Correia e Castro da Silva', 'dil ', 'm', '03/03/1963', 'Paulista', 'desconhecido', 'Jucilene Maria Correia e Castro da Silva', '12/05/1999', '12/05/2005', 'Juiz Paulo C. Cunha', 'crime passional', 3, 6, 3)
INSERT INTO detento (RG, nome, vulgo, sexo, dat_nasc, naturalidade, nome_pai, nome_mae, dat_entrada, dat_saida, responsavel, condenacao, num_ref_carac, num_ref_psico, numcela) VALUES ('5850614', 'Alfredo Domingos da Cunha Neto', 'netinho', 'm', '11/04/1942', 'Afrnio', 'Alfredo Domingos da Cunha Filho', 'Marinalva Freire de souza', '09/08/1997', '09/08/2025', 'Juiz Nilton Salgado', 'Pedofilia', 5, 2, 1)
insert into detento values ('1111111','Salvatore Cacciola','Cacciola','m','12/13/2000','Rio de Janeiro','Guiuseppe Cacciola','Andrezza Cacciola',10/17/2001,02/02/2010,'Des. Joaquim Santos','Peculato',4,1,1)
INSERT INTO detento (RG, nome, vulgo, sexo, dat_nasc, naturalidade, nome_pai, nome_mae, dat_entrada, dat_saida, responsavel, condenacao, num_ref_carac, num_ref_psico, numcela) VALUES ('4589210', 'Cynthia Pereira Barbosa Batista', 'Tininha', 'f', '08/08/1982','Caruaru','desconhecido','Anette Pereira Barbosa Batista', '02/02/2001','11/02/2003','Juiza Tereza Bernardes Landin','Estelionato', 8, 7, 5)
INSERT INTO detento (RG, nome, vulgo, sexo, dat_nasc, naturalidade, nome_pai, nome_mae, dat_entrada, dat_saida, responsavel, condenacao, num_ref_carac, num_ref_psico, numcela) VALUES ('7548269', 'Andra Clia Ramos Cavalcanti ', 'Deinha', 'f', '05/02/1978', 'Caruaru', 'Jos Cavalcanti', 'Clia Ramos Cavalcanti', '03/01/2001', '06/05/2009', 'Des. Honor Deitel', 'Abuso de menores', 9, 8, 5)
INSERT INTO detento (RG, nome, vulgo, sexo, dat_nasc, naturalidade, nome_pai, nome_mae, dat_entrada, dat_saida, responsavel, condenacao, num_ref_carac, num_ref_psico, numcela) VALUES ('5987453', 'Benedito Joo de Albuquerque Souza', 'nenhum', 'm', '09/03/1972', 'Jaboato dos Guararapes', 'Sebastio Jos Pereira de Souza', 'Marta de Albuquerque Souza', '11/04/1996','11/04/2006', 'Juiz Nilton Salgado', 'Furto', 7, 1, 4)
* fazer um update no preso 4 apagar e recolocar!!!

--*************ehdefendido por*******************

insert ehDefendidoPor values('6026923','PE008844')
insert ehDefendidoPor values('6026932','RJ009988')
insert ehDefendidoPor values('6026932','RJ115566')
insert ehDefendidoPor values('6026932','RJ556644')
insert ehDefendidoPor values('6026932','RJ774532')
insert ehDefendidoPor values('6026932','RJ778866')
insert ehDefendidoPor values('4589210','PB756422')
insert ehDefendidoPor values('1111111','RJ778866')
insert ehDefendidoPor values('2211009','PE112233')
insert ehDefendidoPor values('7756332','PE008844')  
insert ehDefendidoPor values('5850614','PE112233')
insert ehDefendidoPor values('5987453','PB756422')
insert ehDefendidoPor values('7548269','PE008844')

--******visitas********
--lembrar de ajeitar os campos de data!!!!!!@@@@@&%$@%$#%#$#%%

insert into visitas values ('6026932','6021230',27/05/02,'bolo','tia')
INSERT INTO visitas (rgdetento, rgvisita, dat_chegada, presentes, vinculo) VALUES ('6026923', '566661', '2002-11-10   :  :  ', NULL, 'sem vinculos')
UPDATE visitas SET presentes= 'bermuda', vinculo= 'esposa' WHERE rgdetento='6026923' AND rgvisita='566661' AND dat_chegada='2002-11-10   :  :  ' AND presentes IS NULL AND vinculo='sem vinculos'
INSERT INTO visitas (rgdetento, rgvisita, dat_chegada, presentes, vinculo) VALUES ('', '', '0000-00-00 00:00:00', NULL, 'sem vinculos')
UPDATE visitas SET rgdetento= '6026923', rgvisita= '566661', dat_chegada= '2002-11-18   :  :  ', presentes= 'camisa', vinculo= 'esposa' WHERE rgdetento='' AND rgvisita='' AND dat_chegada='0000-00-00 00:00:00' AND presentes IS NULL AND vinculo='sem vinculos'
SELECT COUNT(*) FROM `visitas`
SELECT * FROM `visitas` ORDER BY rgdetento ASC LIMIT 0, 50
INSERT INTO visitas (rgdetento, rgvisita, dat_chegada, presentes, vinculo) VALUES ('6026923', '566661', '2002-11-25   :  :  ', 'cigarros', 'esposa')


--******visitantes*****

--fumo: tentar colocar a pessoa que mais fez visitas ao presdio num dado ms.

--eu fiz
insert  visitantes values ('5666611','Maria Alcina','Advogada')
insert  visitantes values ('3115500','Carmen Santana Lins','nada')

insert  visitantes (RGvisitante,nome) values ('6026932','Fernando Raposo da C. Silva')
insert  visitantes values ('6021548','Matt Damon','Estudante de Direito')
insert  visitantes values ('6021233','Eddie Murphy','Rep. de ONG')
insert  visitantes values ('6021230','Vange Leonel','Psiocloga')
insert  visitantes values ('5333331','Bruce springsteen','Advogado')
--****revista*********

insert into revista (RGvisitante,RGfunc,horaVisita) values ('6021230','1123456','10:30')

